# List Bookmarks GET /api/v1/publications/bookmarks/ Retrieves all bookmarked blogs for the authenticated user. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/publications/bookmarks-list ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/publications/bookmarks/: get: operationId: bookmarks-list summary: List Bookmarks description: Retrieves all bookmarked blogs for the authenticated user. tags: - subpackage_publications parameters: - name: content in: query required: false schema: type: string - name: page in: query description: A page number within the paginated result set. required: false schema: type: integer - name: page_size in: query description: Number of results to return per page. required: false schema: type: integer - name: published_date in: query required: false schema: type: string format: date - name: search in: query required: false schema: type: string - name: tags in: query required: false schema: type: array items: type: integer - name: title in: query required: false schema: type: string - name: type in: query description: |- * `free` - Free * `paid` - Paid required: false schema: $ref: '#/components/schemas/ApiV1PublicationsBookmarksGetParametersType' - name: visibility in: query description: |- * `public` - Public * `private` - Private * `team` - Team * `org` - Organization required: false schema: $ref: >- #/components/schemas/ApiV1PublicationsBookmarksGetParametersVisibility responses: '200': description: List of bookmarked blogs content: application/json: schema: $ref: '#/components/schemas/PaginatedBlogList' '401': description: Unauthorized content: application/json: schema: description: Any type components: schemas: ApiV1PublicationsBookmarksGetParametersType: type: string enum: - free - paid title: ApiV1PublicationsBookmarksGetParametersType ApiV1PublicationsBookmarksGetParametersVisibility: type: string enum: - org - private - public - team title: ApiV1PublicationsBookmarksGetParametersVisibility MinimalIAMUserDetail: type: object properties: profile_picture: type: - string - 'null' format: uri bio: type: - string - 'null' country: type: - string - 'null' phone: type: - string - 'null' linkedin_url: type: - string - 'null' format: uri github_url: type: - string - 'null' format: uri twitter_url: type: - string - 'null' format: uri website_url: type: - string - 'null' format: uri top_domain_elo: type: number format: double top_domain_rank: type: integer required: - profile_picture - bio - country - phone - linkedin_url - github_url - twitter_url - website_url - top_domain_elo - top_domain_rank title: MinimalIAMUserDetail MinimalIAMUser: type: object properties: id: type: integer username: type: string description: >- Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only. email: type: string format: email full_name: type: string is_verified: type: boolean details: type: array items: $ref: '#/components/schemas/MinimalIAMUserDetail' followers_count: type: integer required: - id - username - email - full_name - is_verified - details - followers_count title: MinimalIAMUser GlobalVisibilityEnum: type: string enum: - public - private - team - org description: |- * `public` - Public * `private` - Private * `team` - Team * `org` - Organization title: GlobalVisibilityEnum BlogTypeEnum: type: string enum: - free - paid description: |- * `free` - Free * `paid` - Paid title: BlogTypeEnum FormatTypeEnum: type: string enum: - Summary - Detailed Notes - Bullet Points - Q&A - Insight-Driven description: |- * `Summary` - Summary * `Detailed Notes` - Detailed Notes * `Bullet Points` - Bullet Points * `Q&A` - Q&A * `Insight-Driven` - Insight-Driven title: FormatTypeEnum Blog: type: object properties: id: type: integer uid: type: string format: uuid created_at: type: string format: date-time updated_at: type: string format: date-time deleted_at: type: - string - 'null' format: date-time is_active: type: boolean created_by: type: - string - 'null' updated_by: type: - string - 'null' deleted_by: type: - string - 'null' publication: type: - integer - 'null' description: Publication this blog belongs to. Can be null for standalone blogs. publication_id: type: integer publication_custom_url: type: string publication_name: type: string owner: $ref: '#/components/schemas/MinimalIAMUser' owner_id: type: integer title: type: string cover_image: type: - string - 'null' format: uri content: type: - string - 'null' source_experience: type: - integer - 'null' description: The experience this blog was created from source_experience_id: type: integer category_name: type: string subcategory_name: type: string category: type: - string - 'null' description: Category name subcategory: type: - string - 'null' description: Subcategory name focus_area: type: - string - 'null' tags: type: array items: description: Any type visibility: $ref: '#/components/schemas/GlobalVisibilityEnum' is_draft: type: boolean description: Whether this blog is a draft disable_comments: type: boolean type: $ref: '#/components/schemas/BlogTypeEnum' schedule_date: type: - string - 'null' format: date-time published_date: type: - string - 'null' format: date-time status: type: string user_bookmarked: type: boolean reading_time: type: string metrics: type: string llm_prompt: type: string format_type: $ref: '#/components/schemas/FormatTypeEnum' description: |- Format type for content generation * `Summary` - Summary * `Detailed Notes` - Detailed Notes * `Bullet Points` - Bullet Points * `Q&A` - Q&A * `Insight-Driven` - Insight-Driven generation_status: type: string has_generation_in_progress: type: string is_ready_for_review: type: string required: - id - uid - created_at - updated_at - publication - publication_custom_url - publication_name - owner - source_experience - category_name - subcategory_name - status - user_bookmarked - reading_time - metrics - generation_status - has_generation_in_progress - is_ready_for_review title: Blog PaginatedBlogList: type: object properties: count: type: integer next: type: - string - 'null' format: uri previous: type: - string - 'null' format: uri results: type: array items: $ref: '#/components/schemas/Blog' required: - count - results title: PaginatedBlogList ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/publications/bookmarks/" payload = {} headers = {"Content-Type": "application/json"} response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/publications/bookmarks/'; const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/publications/bookmarks/" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/publications/bookmarks/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.example.com/api/v1/publications/bookmarks/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.example.com/api/v1/publications/bookmarks/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/publications/bookmarks/"); var request = new RestRequest(Method.GET); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/publications/bookmarks/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```